missing (recommend) dependency on lxqt-config-l10n

Bug #1843471 reported by Pavel Borecki on 2019-09-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lxqt-config (Ubuntu)
Undecided
Unassigned

Bug Description

Without it, localization don't get installed by default, which will damage out of box user experience (users will be simple thinking, that this isn't localized yet at all and will not search for -l10n package).

Revision history for this message
Alf Gaida (agaida) wrote :

Plain wrong - as long the user don't descide otherwise - all language packages are recommended, the default is: install-recommends -- so if a user knows better and do an `apt install --no-install-recommends $foo` one get exactly what one want.

Revision history for this message
Pavel Borecki (pavel-borecki) wrote :

I see, but there is any dependency (even recommended) missing.

see package lxqt-config

https://packages.ubuntu.com/eoan/lxqt-config

where it recommends lxqt-config-l10n please?

Compare for instance with lxqt-admin

https://packages.ubuntu.com/eoan/lxqt-admin

there is stated recommended for lxqt-admin-l10n

I installed daily build of Lubuntu 19.10 and get installed all other lxqt l10n packages except lxqt-config-l10n.

Is it clear now?

summary: - missing dependency on lxqt-config-l10n
+ missing (recommend) dependency on lxqt-config-l10n
Revision history for this message
veronica mari jormsell (lovuida) wrote : Re: [Bug 1843471] [NEW] missing dependency on lxqt-config-l10n

i am sorry i dont understan what this is all about??
all these emails about "bugrrports" im not a technichian
Skickat från min iPhone

> 10 sep. 2019 kl. 20:08 skrev Pavel Borecki <email address hidden>:
>
> Public bug reported:
>
> Without it, localization don't get installed by default, which will
> damage out of box user experience (users will be simple thinking, that
> this isn't localized yet at all and will not search for -l10n package).
>
> ** Affects: lxqt-config (Ubuntu)
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are a member of Lubuntu
> Packages Team, which is subscribed to lxqt-config in Ubuntu.
> https://bugs.launchpad.net/bugs/1843471
>
> Title:
> missing dependency on lxqt-config-l10n
>
> Status in lxqt-config package in Ubuntu:
> New
>
> Bug description:
> Without it, localization don't get installed by default, which will
> damage out of box user experience (users will be simple thinking, that
> this isn't localized yet at all and will not search for -l10n
> package).
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/lxqt-config/+bug/1843471/+subscriptions

Revision history for this message
Walter Lapchynski (wxl) wrote :

It looks to me like our packages are out of sync with Debian, where this has been resolved since Buster or so. Well, three years ago:
https://salsa.debian.org/lxqt-team/lxqt-config/commit/f2573945acedb52c3b4cd2986837e013e68648f8#58ef006ab62b83b4bec5d81fe5b32c3b4c2d1cc2_34_35

Changed in lxqt-config (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers